# $Revision: 1.40 $, $Date: 2007/01/23 15:46:54 $
%define		mod_name	gzip
%define 	apxs		/usr/sbin/apxs1
Summary:	Apache module: On-the-fly compression of HTML documents
Summary(pl):	Modu do apache: kompresuje dokumenty HTML w locie
Name:		apache1-mod_%{mod_name}
Version:	1.3.26.1a
Release:	3
License:	Apache
Group:		Networking/Daemons
Source0:	http://dl.sourceforge.net/mod-gzip/mod_gzip-%{version}.tgz
# Source0-md5:	080ccc5d789ed5efa0c0a7625e4fa02d
Source1:	%{name}.conf
Source2:	%{name}.logrotate
Patch0:		%{name}-name_clash.patch
Patch1:		%{name}-security.patch
URL:		http://www.schroepl.net/projekte/mod_gzip/
BuildRequires:	%{apxs}
BuildRequires:	apache1-devel >= 1.3.33-2
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRequires:	zlib-devel
Requires(triggerpostun):	%{apxs}
Requires(triggerpostun):	grep
Requires(triggerpostun):	sed >= 4.0
Requires:	apache1(EAPI)
Obsoletes:	apache-mod_gzip <= 1.3.26.1a
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_pkglibdir	%(%{apxs} -q LIBEXECDIR 2>/dev/null)
%define		_sysconfdir	%(%{apxs} -q SYSCONFDIR 2>/dev/null)
%define		_pkglogdir	%(%{apxs} -q PREFIX 2>/dev/null)/logs

%description
Apache module: On-the-fly compression of HTML documents. Browser will
transparently decompress and display such documents.

%description -l pl
Modu do apache: kompresuje dokumenty HTML w locie. Przegldarki w
sposb przezroczysty dekompresuj i wywietlaj takie dokumenty.

%prep
%setup -q -n mod_%{mod_name}-%{version}
%patch0 -p1
%patch1 -p1

%build
%{apxs} -Wc,-Wall,-pipe -c mod_%{mod_name}.c mod_%{mod_name}_debug.c mod_%{mod_name}_compress.c -o mod_%{mod_name}.so

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_pkglibdir},%{_sysconfdir}/conf.d,/etc/logrotate.d,%{_pkglogdir}}

install mod_%{mod_name}.so $RPM_BUILD_ROOT%{_pkglibdir}
install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/conf.d/90_mod_%{mod_name}.conf
install %{SOURCE2} $RPM_BUILD_ROOT/etc/logrotate.d/%{name}

> $RPM_BUILD_ROOT%{_pkglogdir}/mod_gzip.log

%clean
rm -rf $RPM_BUILD_ROOT

%post
%service -q apache restart

%postun
if [ "$1" = "0" ]; then
	%service -q apache restart
fi

%triggerpostun -- %{name} < 1.3.26.1a-1.1
if grep -q '^Include conf\.d/\*\.conf' /etc/apache/apache.conf; then
	%{apxs} -e -A -n %{mod_name} %{_pkglibdir}/mod_%{mod_name}.so 1>&2
	sed -i -e '
		/^Include.*mod_%{mod_name}\.conf/d
	' /etc/apache/apache.conf
else
	# they're still using old apache.conf
	sed -i -e '
		s,^Include.*mod_%{mod_name}\.conf,Include %{_sysconfdir}/conf.d/*_mod_%{mod_name}.conf,
	' /etc/apache/apache.conf
fi
%service -q apache restart

%files
%defattr(644,root,root,755)
%doc docs/manual/english/*
%lang(de) %doc docs/manual/deutsch
%attr(755,root,root) %{_pkglibdir}/*
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*_mod_%{mod_name}.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/logrotate.d/*
%attr(640,root,root) %ghost %{_pkglogdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: apache1-mod_gzip.spec,v $
Revision 1.40  2007/01/23 15:46:54  glen
- rel 3 (R: apache1(EAPI) instead of apache1)

Revision 1.39  2006/04/14 16:54:38  glen
- obsoletes with constant version

Revision 1.38  2006/04/14 16:50:13  glen
- use %service

Revision 1.37  2005/12/12 13:44:44  glen
- adapterized (sorted %verify attrs)

Revision 1.36  2005/09/17 01:23:44  glen
- correction for detecting conf.d apache support

Revision 1.35  2005/02/16 17:52:15  glen
- restart apache in %postun rather in %preun as the config file, loading module
  is still there and module will be loaded after package is uninstalled, which
  later causes missing configuration file errors.

Revision 1.34  2005/02/15 12:02:08  glen
- rel 2; STBR

Revision 1.33  2005/02/10 01:49:41  glen
- confdir enabled apache1
- added logfile (%ghost of course)

Revision 1.32  2004/12/28 09:43:05  troll
- better URL

Revision 1.31  2004/11/04 13:31:52  paladine
- spaces->tabs
- cosmetics

Revision 1.30  2004/09/29 16:32:34  kolodko
- added macros in /etc/logrotate.d

Revision 1.29  2004/09/05 17:18:13  radek
- use "%(%{apxs} -q SYSCONFDIR)" for _sysconfdir definition

Revision 1.28  2004/08/30 15:42:31  radek
- mv apache{,1}-*, release 1

Revision 1.27  2004/08/09 12:24:30  qboosh
- added security patch (CAN-2003-0842, CAN-2003-0843, CAN-2003-0844)

Revision 1.26  2003/08/09 23:35:47  mwinkler
- simplified post/preun

Revision 1.25  2003/08/06 16:11:39  kloczek
- moe wrescie kto wykasuje to konto ?

Revision 1.24  2003/05/26 16:24:19  malekith
- massive attack: adding Source-md5

Revision 1.23  2003/05/25 05:45:34  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.22  2003/04/25 13:44:04  misiek
- added logrotate

Revision 1.21  2003/04/25 13:37:38  misiek
- now this module is usable! apache should no longer segfault.
  Serious candidate for Ra updates.

Revision 1.20  2003/04/25 10:02:21  misiek
- fix logs path

Revision 1.19  2003/04/23 19:50:12  kloczek
- adapterized.

Revision 1.18  2003/04/22 19:16:40  misiek
- fix doc

Revision 1.17  2003/04/22 19:14:59  misiek
- updated to 1.3.26.1a

Revision 1.16  2002/12/29 01:44:28  qboosh
- umask in scripts, other fixes/cosmetics where needed

Revision 1.15  2002/12/23 13:12:19  qboosh
- added URL, noted source URL

Revision 1.14  2002/08/18 17:10:23  blues
- release 4 - license fix

Revision 1.13  2002/08/13 15:06:21  grzegorz
- sed -e "s/%{_sbindir}\/apxs -e/\%{apxs} -e/"

Revision 1.12  2002/05/26 15:19:32  kloczek
- release 4: use new %doc.

Revision 1.11  2002/04/25 15:46:02  arturs
- fixed a small typo

Revision 1.10  2002/03/26 23:47:23  misiek
- fixed huge bug (zeroing httpd.conf after deinstalation)

Revision 1.9  2002/03/24 12:56:47  misiek
- really fixed

Revision 1.8  2002/03/23 21:28:16  misiek
- include default configuration; release 3

Revision 1.7  2002/02/23 01:23:22  kloczek
- adapterized.

Revision 1.6  2002/02/22 23:28:41  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.5  2002/02/17 21:07:17  ankry
- release 2

Revision 1.4  2002/02/17 18:52:20  ankry
- added %{apxs} local macro to avoid adapter problems
- fix use of %{apxs} and %{_sbindir}/apxs
- added BR %{apxs} and Prereq %{_sbindir}/apxs (if necessary); removed BR apache
- adapterized

Revision 1.3  2002/01/18 02:12:20  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.2  2001/11/07 15:16:30  mkochano
- Removed changelog of spec this one is based on.

Revision 1.1  2001/11/07 15:15:35  mkochano
- Based on apache-mod_gunzip.spec.
- Builds and works, but Source: lines may cause conflicts in CVS as file
  names do not contain package name ("changes.txt" for example).
